services:
    d2_inmotion_service_definition_manager:
        class:          D2\InMotionBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_inmotion_partner_file_manager:
        class:          D2\InMotionBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_inmotion_waybill_manager:
        class:          D2\InMotionBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_inmotion_service_definition_manager, @d2_calc_manager]

    d2_inmotion_bundle.twig.inmotion_extension:
        class:          D2\InMotionBundle\Twig\InMotionTwigExtension
        arguments:      [@doctrine, @service_container, @d2_inmotion_partner_file_manager, @d2_inmotion_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_inmotion_bundle.waybill_with_selected.extension:
        class:          D2\InMotionBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: inmotion_list }
            - { name: d2.with_selected, alias: inmotion_waybill }
